|  | Home · All Classes · All Functions · Overviews

# Obsolete Members for QListWidget

The following class members are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

- QListWidget class reference

## Public Functions

bool | isItemHidden ( const QListWidgetItem * item ) const `(obsolete)`
bool | isItemSelected ( const QListWidgetItem * item ) const `(obsolete)`
void | setItemHidden ( const QListWidgetItem * item, bool hide ) `(obsolete)`
void | setItemSelected ( const QListWidgetItem * item, bool select ) `(obsolete)`

- 3 public functions inherited from QWidget

## Member Function Documentation

### bool QListWidget::isItemHidden ( const QListWidgetItem * item ) const

Returns true if the item is explicitly hidden; otherwise returns false.

This function is deprecated. Use QListWidgetItem::isHidden() instead.

### bool QListWidget::isItemSelected ( const QListWidgetItem * item ) const

Returns true if item is selected; otherwise returns false.

This function is deprecated. Use QListWidgetItem::isSelected() instead.

### void QListWidget::setItemHidden ( const QListWidgetItem * item, bool hide )

If hide is true, the item will be hidden; otherwise it will be shown.

This function is deprecated. Use QListWidgetItem::setHidden() instead.

See also isItemHidden().

### void QListWidget::setItemSelected ( const QListWidgetItem * item, bool select )

Selects or deselects the given item depending on whether select is true of false.

This function is deprecated. Use QListWidgetItem::setSelected() instead.

See also isItemSelected().